import { OnInit, EventEmitter } from '@angular/core';
import { ConfigOption, ConfigStorage, ConfigResult } from './upload-excel-config.model';
import { ModalControl } from '../../../modal-control/modal-control.component';
import { SettingService } from '../../../../services/setting/setting.service';
import { TranslateService } from '../../../../services/translate/translate.service';
export declare class UploadExcelConfigComponent implements OnInit {
    private settingService;
    private translateService;
    modal: ModalControl;
    change: EventEmitter<ConfigResult>;
    option: ConfigOption;
    storage: ConfigStorage;
    constructor(settingService: SettingService, translateService: TranslateService);
    ngOnInit(): void;
    setOption(option: ConfigOption): Promise<void>;
    private init;
    private initDefault;
    open(): void;
    save(): void;
    reset(): void;
    moveColumnUp(index: number): void;
    moveColumnDown(index: number): void;
    emitOnChange(): void;
}
